/**
 *  @author Marian Ondrejicek (xondre02)
 *  @date   May 2012
 *
 *  Main class of the game.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef GAMEAPP_H
#define GAMEAPP_H

#include "OgreFramework/ogreframework.h"
#include "OgreFramework/appstatemanager.h"

/** Main class of the game. */
class GameApp
{
protected:
    GameApp();
    ~GameApp();

public:
    /** Get pointer to the actual object. */
    static GameApp *getSingleton();

    /** Start the game. */
    void start();

private:
    static GameApp *m_instance;         /**< The only instance of this class. */
    AppStateManager *m_appStateManager; /**< Manages all states of the game. */
};

#endif  // GAMEAPP_H
