/**
 *  @author Marian Ondrejicek (xondre02)
 *  @date   May 2012
 *
 *  Compositor listener for glow effect.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef GLOWLISTENER_H
#define GLOWLISTENER_H
 
#include <Ogre.h>
#include <OgreMaterialManager.h>

// Source (Public Domain): http://www.ogre3d.org/tikiwiki/Glow
class GlowListener : public Ogre::MaterialManager::Listener
{
protected:
    Ogre::MaterialPtr mBlackMat;
public:
    GlowListener()
    {
        mBlackMat = Ogre::MaterialManager::getSingleton().create("mGlowBlack", "Internal");
        mBlackMat->getTechnique(0)->getPass(0)->setDiffuse(0,0,0,0);
        mBlackMat->getTechnique(0)->getPass(0)->setSpecular(0,0,0,0);
        mBlackMat->getTechnique(0)->getPass(0)->setAmbient(0,0,0);
        mBlackMat->getTechnique(0)->getPass(0)->setSelfIllumination(0,0,0);
    }
 
    Ogre::Technique *handleSchemeNotFound(unsigned short, const Ogre::String& schemeName,
        Ogre::Material*mat, unsigned short, const Ogre::Renderable*)
    {
        if (schemeName == "glow")
        {
            //LogManager::getSingleton().logMessage(">> adding glow to material: "+mat->getName());
            return mBlackMat->getTechnique(0);
        }
        return NULL;
    }
};
 
#endif  // GLOWLISTENER_H
