/**
 *  @author Marian Ondrejicek (xondre02)
 *  @date   May 2012
 *
 *  Camera that follows the ship and looks at it from the side.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */

#ifndef SIDE_CAMERA_H
#define SIDE_CAMERA_H

#include "gamecamera.h"

class SideCamera : public GameCamera
{
protected:
    /** Update position of the camera. */
    void updatePos(double timeSinceLastFrame, const Ogre::SceneNode *target)
    {
        m_camera->setPosition(target->getPosition()+20);
    }

    /** Update orientation of the camera. */
    void updateLook(double timeSinceLastFrame, const Ogre::SceneNode *target)
    {
        m_camera->lookAt(target->getPosition());
    }
};

#endif  // SIDE_CAMERA_H
