# Find OgreOggSound include and library directories.
#
# Defines:
# OGREOGGSOUND_INCLUDE_DIRS
# OGREOGGSOUND_LIBRARIES
# OGREOGGSOUND_FOUND

FIND_PATH(OGREOGGSOUND_INCLUDE_DIRS OgreOggSound.h
  HINTS
  $ENV{OGREOGGSOUND}
  PATH_SUFFIXES include/OgreOggSound include/OgreOggSound include
  PATHS
  /usr/local/include/OgreOggSound
  /usr/include/OgreOggSound
)

FIND_LIBRARY(OGREOGGSOUND_LIBRARIES
  NAMES OgreOggSound libOgreOggSound libOgreOggSound.so libOgreOggSound.a
  HINTS
  $ENV{OGREOGGSOUND}
  PATH_SUFFIXES lib64 lib libs64 libs libs/Win32 libs/Win64
  PATHS
  /usr/local/lib
  /usr/lib
)

SET(OGREOGGSOUND_FOUND False)
IF(OGREOGGSOUND_LIBRARIES AND OGREOGGSOUND_INCLUDE_DIRS)
  SET(OGREOGGSOUND_FOUND True)
  message("-- Found OGREOGGSOUND: " ${OGREOGGSOUND_LIBRARIES})
ENDIF(OGREOGGSOUND_LIBRARIES AND OGREOGGSOUND_INCLUDE_DIRS)

