# Find MYGUI includes and library
#
# This module defines
#  MYGUI_INCLUDE_DIRS
#  MYGUI_LIBRARIES, the path to the libraries
#  MYGUI_FOUND, If false, do not try to use MYGUI
#
# Copyright © 2009-2010, Andrew Fenn
# Modified by Marian Ondrejicek, 2012
# Source: http://mudbath.googlecode.com/svn-history/r2/trunk/CMake/FindMYGUI.cmake

FIND_PATH(MYGUI_INCLUDE_DIR MyGUI.h
  HINTS
  $ENV{MYGUIDIR}
  PATH_SUFFIXES include/MyGUI include/MYGUI include
  PATHS
  /usr/local/include/MYGUI
  /usr/include/MYGUI
)

FIND_LIBRARY(MYGUI_LIBRARY
  NAMES MyGUI MyGUIEngine libMyGUIEngineStatic.a libMyGUI libmygui.so
  HINTS
  $ENV{MYGUIDIR}
  PATH_SUFFIXES lib64 lib libs64 libs libs/Win32 libs/Win64
  PATHS
  /usr/local/lib
  /usr/lib
)

FIND_LIBRARY(MYGUI.OGREPLATFORM_LIBRARY
  NAMES MyGUI.OgrePlatform libMyGUI.OgrePlatform.a libMyGUI.OgrePlatform
  HINTS
  $ENV{MYGUIDIR}
  PATH_SUFFIXES lib64 lib libs64 libs libs/Win32 libs/Win64
  PATHS
  /usr/local/lib
  /usr/lib
)

SET(MYGUI_FOUND False)
IF(MYGUI_LIBRARY AND MYGUI.OGREPLATFORM_LIBRARY AND MYGUI_INCLUDE_DIR)
  SET(MYGUI_FOUND True)
  message("-- Found MYGUI_LIBRARY: " ${MYGUI_LIBRARY})
  message("-- Found MYGUI.OGREPLATFORM_LIBRARY: " ${MYGUI.OGREPLATFORM_LIBRARY})
ENDIF(MYGUI_LIBRARY AND MYGUI.OGREPLATFORM_LIBRARY AND MYGUI_INCLUDE_DIR)

SET(MYGUI_INCLUDE_DIRS ${MYGUI_INCLUDE_DIR})
SET(MYGUI_LIBRARIES ${MYGUI_LIBRARY} ${MYGUI.OGREPLATFORM_LIBRARY})

